  text.setAttribute('fill', 'white');
  text.textContent = 'Truck';
  truckGroup.appendChild(text);

  return truckGroup;
};

// Create the SVG container
const svg = createSVGElement('svg');
svg.setAttribute('width', width);
svg.setAttribute('height', height);

// Append the definitions (gradients, etc.)
svg.appendChild(myDefs);

// Create the scene elements
const scene = createSVGElement('g');
scene.setAttribute('id', 'scene');

// Add sky
scene.appendChild(sky());

// Add land
scene.appendChild(land());

// Add trees
for (let i = 0; i < 5; i++) {
  const x = getRandomInt(0, width);
  const y = getRandomInt(height / 2, height);
  scene.appendChild(tree(x, y));
}

// Add flowers
for (let i = 0; i < 10; i++) {
  const x = getRandomInt(0, width);
  const y = getRandomInt(height / 2, height);
  scene.appendChild(createFlower(x, y, 5, 'pink', 'yellow'));
}

// Add stars
for (let i = 0; i < 5; i++) {
  const x = getRandomInt(0, width);
  const y = getRandomInt(0, height / 2);
  scene.appendChild(createStar(x, y, 10, 5, 'yellow'));
}

// Add sheep
for (let i = 0; i < 3; i++) {
  const x = getRandomInt(0, width);
  const y = getRandomInt(height / 2, height);
  scene.appendChild(createSheep(x, y));
}

// Add red truck with animation
const truck = createRedTruckWithAnimation(0, height - 60, width);
scene.appendChild(truck);

// Add birds
for (let i = 0; i < 3; i++) {
  const x = getRandomInt(0, width);
  const y = getRandomInt(0, height / 2);
  scene.appendChild(bird(x, y));
}

// Add dogs
for (let i = 0; i < 2; i++) {
  const x = getRandomInt(0, width);
  const y = getRandomInt(height / 2, height);
  scene.appendChild(createDog(x, y));
}

// Add flies
for (let i = 0; i < 10; i++) {
  const x = getRandomInt(0, width);
  const y = getRandomInt(0, height / 2);
  scene.appendChild(createFly(x, y));
}

// Append the scene to the SVG
svg.appendChild(scene);

// Append the SVG to the body
document.body.appendChild(svg);
